<?php

ini_set('display_errors', 1);
error_reporting(-1);

//Ez csak a demo tömb feltöltésére van
//Átlagos PHP beállítások mellett a $max<=5!!
//Ha nagyobbra állítod, memória limit hibát fogsz kapni! :)
//Nem tud majd elég memóriát rendelni a tömbhöz, tehát csak óvatosan :)
//
//
//demo tömb generátor - eleje
function fillArray($depth, $max)
{
    static $seed;
    if (is_null($seed)) {
        $seed = array('a', 2, 'c', 4, 'e', 6, 'g', 8, 'i', 10);
    }
    if ($depth < $max) {
        $node = array();
        foreach ($seed as $key) {
            $node[$key] = fillArray($depth + 1, $max);
        }
        return $node;
    }
    return 'empty';
}

//demo tömb generátor - vége
//
//
//A CACHE_FOLDER végére mindig tenni kell lezáró "/"-t
define('CACHE_FOLDER', '/home/leoamros/public_html/teszt/cache/');

include 'cache.php';

$cache = new cache();

//Lekérdezzük van-e cache
$demo = $cache -> get('demo');
//Ha nincs csinálunk
if (null == $demo) {
    //Demo adatokkal töltjük fel
    $demo = fillArray(0, 2);
    //majd beállítjuk 5 percre
    $cache -> set('demo', $demo, 300);
    //csak, hogy tényleg cacheből jön-e a tartalom:
    echo 'Generálva';
}

//Ha a tartalom cacheből lett kiolvasva, akkor nem szabad látszania a "Generálva" szónak!
print_r($demo);


//Ha valami miatt törölni akarod a teljes cache tartalmát:
// $cache->clear_cache();